## How to contribute to the Nexmo CLI

#### **Did you find a bug?**

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/nexmo/nexmo-cli/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/nexmo/nexmo-cli/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

#### **Do you intend to add a new feature or change an existing one?**

* Suggest your change [in a new issue](https://github.com/nexmo/nexmo-cli/issues/new) and start writing code.

* Make sure your new code does not break any tests and include new tests.

* With good code comes good documentation. Try to copy the existing documentation and adapt it to your needs.

* Close the issue or mark it as inactive if you decide to discontinue working on the code.

#### **Do you have questions about the source code?**

* Ask any question about how to use the CLI by [raising a new issue](https://github.com/nexmo/nexmo-cli/issues/new).

#### **Do you want to contribute to the documentation?**

* All documentation is provided with the code, so for any changes or suggestions follow the guidelines above.
